Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties
Class ApplyModifiersOperation

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.properties.ApplyModifiersOperation

All Implemented Interfaces:
  IOperation

public class ApplyModifiersOperation
extends java.lang.Object
implements IOperation

Operation which is excuted in order to apply modifiers to a property source provided by a provider

Field Summary
`protected ICompositePropertySource` `propertySource` A property source that will be put through the modifiers

Constructor Summary
`ApplyModifiersOperation(ICompositePropertySource propertySource)` Create a new operation object

Method Summary
`java.lang.Object` `execute(IProvider provider)` Executes this operation on the specified provider.
`ICompositePropertySource` `getPropertySource()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### propertySource

    protected ICompositePropertySource propertySource

  A property source that will be put through the modifiers

Constructor Detail

### ApplyModifiersOperation

    public ApplyModifiersOperation(ICompositePropertySource propertySource)

  Create a new operation object

Parameters:
  `propertySource` - - a property source that will be put through the modifiers

Method Detail

### execute

    public java.lang.Object execute(IProvider provider)

  Description copied from interface: `IOperation`
  Executes this operation on the specified provider.

  Service implementers generally implement this method by first casting the provider to their service specific `IProvider`-derived class and then by delegating it the execution. Delegation is accomplished through the service specific provider derived class API.

  Specified by:
    `execute` in interface `IOperation`
  Parameters:
    `provider` - The provider on which to execute the operation.
  Returns:
    The result of executing this operation.

### getPropertySource

    public ICompositePropertySource getPropertySource()

  Returns:
    - Returns the propertySource.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.